import React, { Component } from 'react';
import Home from './components/home/home.jsx';
import { Router, browserHistory } from 'react-router';
import { syncHistoryWithStore } from 'react-router-redux';
import { createStore } from 'redux';
import { Provider } from 'react-redux';
import routes from '../../routes.jsx';
import { finalReducer } from '../../store/mainStore.js';
import './App.css';

class App extends Component {
  constructor() {
    super();
    this.myStore = createStore(finalReducer);
  }
  render() {
    syncHistoryWithStore(browserHistory, this.myStore);
    return (
      <div className="App">
        <Provider store={this.myStore}>
          <Router history={browserHistory}>
            { routes }
          </Router>
        </Provider>
      </div>
    );
  }
}

export default App;
